<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button mbButtonSize="LARGE"
             mbButtonAvailableStyle='PRIMARY'
             (click)="onClickCreate()"
             mbButtonText="{{ 'development.approvement-config.add' | translate }}">
  </mb-button>
</div>
<nz-card class="search-bar">
  <form nz-form>
    <div nz-row [nzGutter]="[16, 16]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [mbDataSelects]="dataCommon.issueLevel"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.approvement-config.form.issueLevelCode' | translate }}"
          mbPlaceholder="{{ 'development.approvement-config.form.issueLevelCode' | translate }}"
          name="issueLevel"
          [(ngModel)]="params.issueLevel"
        ></mb-select>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.name"
          name="employeeCode"
          [mbMaxLength]="50"
          mbLabelText="{{ 'development.approvement-config.table.employeeFullName2' | translate }}"
          mbPlaceholderText="{{ 'development.approvement-config.table.employeeFullName2' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.targetUnit"
          mbLabelText="{{ 'development.approvement-config.search.targetUnit' | translate }}"
          mbPlaceholder="{{ 'development.approvement-config.search.choose' | translate }}"
          name="unit"
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="card-header__rangeDateTitle">{{ 'development.approvement-config.search.effectiveTime' | translate }}</span>
        <nz-range-picker
          [(ngModel)]="params.rangeDate"
          name="approvementDate"
          class="card-header__rangeDate"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>
    </div>
  </form>
  <div class="block-action-search">
    <mb-button  mbButtonSize="LARGE"
                (click)="search(true)"
                [disabled]="isLoading"
                mbButtonText="{{ 'development.approvement-config.buttonSearch' | translate }}"
                mbButtonAvailableStyle='CUSTOM'>
    </mb-button>
    <mb-button mbButtonAvailableStyle='BORDER'
               mbButtonSize="LARGE"
               (click)="exportExcel()" [disabled]="isLoading">
      <img src="assets/images/icon/excel.svg" alt="" />
    </mb-button>
  </div>
  <div class="search-container">
    <span class="importbtn">
      <em nz-icon nzType="plus-circle" nzTheme="outline"></em>
    </span>
    <mb-button mbButtonType="NO_BORDER"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonTextColor="#141ED2"
               mbButtonSize="LARGE"
               (click)="importFile()"
    >
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table (changePageNum)='pageChange($event)'
            [tableConfig]="tableConfig"
            [heightTable]="heightTable"
            [tableData]="dataTable">
  </mb-table>
</mb-table-wrap>

<ng-template #labelCanSign let-canSign = 'canSign'>
  <label nz-checkbox class="checkbox-table" [ngModel]="canSign" [disabled]="true"></label>
</ng-template>

<ng-template #labelCanApprove let-canApprove = 'canApprove'>
  <label nz-checkbox class="checkbox-table" [ngModel]="canApprove" [disabled]="true"></label>
</ng-template>

<ng-template #isSameTitle let-isSameTitle = 'isSameTitle'>
  <label>{{ isSameTitle ? 'x' : ''}}</label>
</ng-template>

<ng-template #isSameLevel let-isSameLevel = 'isSameLevel'>
  <label>{{ isSameLevel ? 'x' : ''}}</label>
</ng-template>

<ng-template #hasConsultation let-hasConsultation = 'hasConsultation'>
  <label>{{ hasConsultation ? 'x' : ''}}</label>
</ng-template>

<ng-template #hasInterview let-hasInterview = 'hasInterview'>
  <label>{{ hasInterview ? 'x' : ''}}</label>
</ng-template>

<ng-template #isSameUnit let-isSameUnit = 'isSameUnit'>
  <label>{{ isSameUnit ? 'x' : ''}}</label>
</ng-template>

<ng-template #startDate let-effectiveStartDate = 'effectiveStartDate'>
  <label>{{ effectiveStartDate | date: 'dd/MM/yyyy' }}</label>
</ng-template>

<ng-template #endDate let-effectiveEndDate = 'effectiveEndDate'>
  <label>{{ effectiveEndDate | date: 'dd/MM/yyyy' }}</label>
</ng-template>

<ng-template #decisionDate let-decisionDate = 'decisionDate'>
  <label>{{ decisionDate | date: 'dd/MM/yyyy' }}</label>
</ng-template>

<ng-template #action let-code = 'code'>
  <em nz-icon
      class="menu__item--btn"
      nz-button
      nzType="more"
      nzTheme="outline"
      nzTrigger="click"
      nz-dropdown
      [nzDropdownMenu]="menu"
  ></em>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu class="btnListWrap">
      <li
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="cloneDetail(code)"
      >
        <div class="menu__item">
          <em nz-icon nzType="form" nzTheme="outline" class="iconClass"></em>
          <span>{{ 'development.proposed-unit.button.Copy' | translate }}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="viewDetail(code)"
      >
        <div class="menu__item">
          <em nz-icon nzType="edit" nzTheme="outline" class="iconClass"></em>
          <span>{{ 'development.proposed-unit.button.edit' | translate }}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        class="btnItem"
        (click)="deleteItem(code)"
      >
        <div class="menu__item">
          <em nz-icon nzType="delete" nzTheme="outline" class="iconClass"></em>
          <span>{{'development.proposed-unit.button.delete' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</ng-template>
